

class { 'swift::ringbuilder':
  part_power     => '18',
  replicas       => '1',
  min_part_hours => 1,
  require        => Class['swift'],
}

# sets up an rsync db that can be used to sync the ring DB
class { 'swift::ringserver':
  local_net_ip => "10.35.101.10",
}

@@swift::ringsync { ['account', 'object', 'container']:
 ring_server => $swift_local_net_ip
}


firewall { '001 rsync incoming':
    proto    => 'tcp',
    dport    => ['873'],
    action   => 'accept',
}

if ($::selinux != "false"){
    selboolean{'rsync_export_all_ro':
        value => on,
        persistent => true,
    }
}

@@ring_object_device { "10.35.101.10:6000/device1":
 zone        => 1,
 weight      => 10, }
@@ring_container_device { "10.35.101.10:6001/device1":
 zone        => 1,
 weight      => 10, }
@@ring_account_device { "10.35.101.10:6002/device1":
 zone        => 1,
 weight      => 10, }

class { 'ssh::server::install': }

Class['swift'] -> Service <| |>
class { 'swift':
    # not sure how I want to deal with this shared secret
    swift_hash_suffix => 'swift_shared_secret',
    package_ensure    => latest,
}

